<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
   <extension
         point="org.eclipse.ui.commands">
      <command
            description="OSS Importer"
            id="eu.fbk.eclipse.explodtwin.ossimporter.ui.commands.ossImporter"
            name="OSS Importer">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.handlers">
      <handler
            class="eu.fbk.eclipse.explodtwin.ossimporter.ui.commands.ImportOssFileCommand"
            commandId="eu.fbk.eclipse.explodtwin.ossimporter.ui.commands.ossImporter">
      </handler>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            allPopups="false"
            locationURI="popup:eu.fbk.eclipse.explodtwin.VTools.Export?after=additions">
         <command
               commandId="eu.fbk.eclipse.explodtwin.ossimporter.ui.commands.ossImporter"
               icon="icons/import.gif"
               label="Import model from OSS"
               style="push">
            <visibleWhen
                  checkEnabled="false">
               <reference
                     definitionId="eu.fbk.sysmlv2.SysMLv2.Editor.opened">
               </reference>
            </visibleWhen>
         </command>
      </menuContribution>
   </extension>
</plugin>
